﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;

    
    public static class OrderRepository
    {
       
        public static IList<Orders> GetAllRecords()
        {
            IList<Orders> orders = (IList<Orders>)HttpContext.Current.Session["Orders"];
       
            if (orders == null)
            {
                HttpContext.Current.Session["Orders"] = orders = BindDataSource();
            }
            return orders;
        }


        public static void Add(List<Orders> order)
        {
            foreach(var temp in order)
            GetAllRecords().Insert(0, temp);
        }

        public static void Delete(List<Orders> order)
        {
            foreach (var temp in order)
            {
                Orders result = GetAllRecords().Where(o => o.OrderID == temp.OrderID).FirstOrDefault();
                GetAllRecords().Remove(result);
            }
        }

        public static void Update(List<Orders> order)
        {
            foreach (var temp in order)
            {
                Orders result = GetAllRecords().Where(o => o.OrderID == temp.OrderID).FirstOrDefault();
                if (result != null)
                {
                    result.OrderID = temp.OrderID;
                    result.CustomerID = temp.CustomerID;
                    result.EmployeeID = temp.EmployeeID;                   
                    result.Freight = temp.Freight;
                }
            }
        }
        public static List<Orders> BindDataSource()
        {
            List<Orders> order = new List<Orders>();
            order.Add(new Orders(10247, "ALFKI", 1, 5));
            order.Add(new Orders(10248, "ANATR", 3, 7));
            order.Add(new Orders(10249, "ANTON", 4, 8));
            order.Add(new Orders(10250, "BLONP", 7, 9));
            order.Add(new Orders(10251, "SFDVG", 4, 8));
            order.Add(new Orders(10252, "JKDNU", 6, 2));
            order.Add(new Orders(10253, "HFBBI", 5, 8));
            order.Add(new Orders(10254, "DFDFJ", 2, 6));
            order.Add(new Orders(10255, "HBJJK", 3, 1));
            order.Add(new Orders(10256, "KNKML", 4, 7));
            order.Add(new Orders(10257, "KMLKJ", 5, 2));
            order.Add(new Orders(10258, "DFDVV", 8, 6));
            order.Add(new Orders(10259, "VBDDG", 9, 5));

            return order;
        }
   
        
    }
}
